Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Flash plugin для 32-битного Firefox под 64-битной Ubuntu  (Прочитано 493 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Master_Sergius

  • Автор темы
  • Активист
  • *
  • Сообщений: 519
  • i3
    • Просмотр профиля
Да, это извращение, но нужно. Из-за webex юзаю 32-битный файрфокс, и вообще этот браузер юзаю чисто для работы (для всего остального использую 64-битную оперу, так что хоть здесь норм). В общем, нужно флеш плагин. Скачал 32-битный tar.gz (install_flash_player_11_linux.i386.tar.gz), NPAPI (PPAPI почему-то браузером не берется), распаковал, дал линку, итого имеется вот так

ls -l firefox/plugins/
total 0
lrwxrwxrwx 1 root root 40 Sep  2 19:34 libflashplayer.so -> /home/sbun/32bit/flash/libflashplayer.so
lrwxrwxrwx 1 root root 49 Aug  3 02:47 libnpjp2.so -> /home/sbun/32bit/jre1.7.0_80/lib/i386/libnpjp2.so

Тогда в about:plugins есть Shokwave Flash, все дела. Появляются теперь уже "коробочки" на месте флешовых объектов, но они не работают, пустые. Ошибок в логах не нашел.

Этот же NPAPI вроде как имеет неудовлетворённые зависимости:

ldd flash/libflashplayer.so | grep "not found"
libssl3.so => not found
libsmime3.so => not found
libnss3.so => not found
libnssutil3.so => not found
libplds4.so => not found
libplc4.so => not found
libnspr4.so => not found

При том, что пробую поставить, система говорит, что всё есть:
sudo apt-file find libssl3.so
firefox: /usr/lib/firefox/libssl3.so
firefox-dbg: /usr/lib/debug/usr/lib/firefox/libssl3.so
libnss3: /usr/lib/x86_64-linux-gnu/libssl3.so
libnss3-1d: /usr/lib/x86_64-linux-gnu/libssl3.so.1d
thunderbird: /usr/lib/thunderbird/libssl3.so
thunderbird-dbg: /usr/lib/debug/usr/lib/thunderbird/libssl3.so

sudo apt install libnss3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libnss3 is already the newest version (2:3.23-0ubuntu0.16.04.1).
PPAPI вроде же всё норм, но браузер его не хочет видеть:

ldd flash2/libpepflashplayer.so
linux-gate.so.1 =>  (0xf771f000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf677e000)
librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf6775000)
libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf65fd000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf65a8000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf658b000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf656e000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf63b8000)
/lib/ld-linux.so.2 (0x56555000)

Помогите пожалуйста настроить всё-таки флеш для 32-битного файрфокса.
Система - Ubuntu 16.04 LTS, Firefox - Build identifier: Mozilla/5.0 (X11; Linux i686 on x86_64; rv:48.0) Gecko/20100101 Firefox/48.0
Мой блог о семействе *nix: http://nixtravelling.blogspot.com/

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: Flash plugin для 32-битного Firefox под 64-битной Ubuntu
« Ответ #1 : 02 Сентябрь 2016, 20:03:48 »
А что так сложно? Чем не устраивает просто поставить adobe-flashplugin:i386?
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Master_Sergius

  • Автор темы
  • Активист
  • *
  • Сообщений: 519
  • i3
    • Просмотр профиля
Re: Flash plugin для 32-битного Firefox под 64-битной Ubuntu
« Ответ #2 : 03 Сентябрь 2016, 12:54:12 »
Есть только такое:

apt search flashplugin
Sorting... Done
Full Text Search... Done
flashplugin-downloader/xenial-updates,xenial-security,now 11.2.202.632ubuntu0.16.04.1 i386 [installed]
  Adobe Flash Player plugin installer (transitional package)

flashplugin-installer/xenial-updates,xenial-security,now 11.2.202.632ubuntu0.16.04.1 amd64 [installed]
  Adobe Flash Player plugin installer

flashplugin-nonfree-extrasound/xenial 0.0.svn2431-5ubuntu1 amd64
  Adobe Flash Player platform support library for Esound and OSS

pepperflashplugin-nonfree/xenial 1.8.2ubuntu1 amd64
  Pepper Flash Player - browser plugin

При этом попробовал flashplugin-downloader - ничем не помог, нет ни бинарника, ни библиотек *.so

flashplugin-installer:i386 - не ставится, говорит, что есть зависимости, которые ну никак нельзя удовлетворить (и вправду, они не ставятся)
Мой блог о семействе *nix: http://nixtravelling.blogspot.com/

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Re: Flash plugin для 32-битного Firefox под 64-битной Ubuntu
« Ответ #3 : 03 Сентябрь 2016, 13:15:12 »
У меня есть adobe-flashplugin. Почему у вас его нет гадать не буду.

А вообще плагин - это один файл .so. Его надо положит куда надо и все.
« Последнее редактирование: 03 Сентябрь 2016, 13:18:36 от Pilot6 »
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Master_Sergius

  • Автор темы
  • Активист
  • *
  • Сообщений: 519
  • i3
    • Просмотр профиля
Re: Flash plugin для 32-битного Firefox под 64-битной Ubuntu
« Ответ #4 : 03 Сентябрь 2016, 19:42:01 »
Ну вот *.so Я и пытался подложить. А насчёт плагина из репозиториев, возможно, Вы добавили себе какую то адобе или не фри репу. Даже не знаю, стоит ли добавлять себе.
Мой блог о семействе *nix: http://nixtravelling.blogspot.com/

 

Страница сгенерирована за 0.054 секунд. Запросов: 24.